Package org.linphone.core

# Enum Class PublishState

java.lang.Object
java.lang.Enum<PublishState>
org.linphone.core.PublishState

All Implemented Interfaces:
  `Serializable`, `Comparable<PublishState>`, `Constable`

public enum PublishState extends Enum<PublishState>
Enum for publish states.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Cleared`
Event has been un published.
`Error`
Publish encoutered an error, `Event.getReason()` gives reason code.
`Expiring`
Publish is about to expire, only sent if [sip]->refresh_generic_publish
property is set to 0.
`IncomingReceived`
An incoming publish is received.
`None`
Initial state, do not use.
`Ok`
Publish is accepted.
`OutgoingProgress`
An outgoing publish was created and submitted.
`Refreshing`
Publish is about to refresh.
`Terminating`
Publish is about to terminate.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static PublishState`
`fromInt(int value)`
`protected static PublishState[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(PublishState[] values)`
`static PublishState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PublishState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final PublishState None
Initial state, do not use.

### IncomingReceived

public static final PublishState IncomingReceived
An incoming publish is received.

### Ok

public static final PublishState Ok
Publish is accepted.

### Error

public static final PublishState Error
Publish encoutered an error, `Event.getReason()` gives reason code.

### Expiring

public static final PublishState Expiring
Publish is about to expire, only sent if [sip]->refresh_generic_publish
property is set to 0.

### Cleared

public static final PublishState Cleared
Event has been un published.

### Terminating

public static final PublishState Terminating
Publish is about to terminate.

### OutgoingProgress

public static final PublishState OutgoingProgress
An outgoing publish was created and submitted.

### Refreshing

public static final PublishState Refreshing
Publish is about to refresh.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static PublishState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PublishState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static PublishState fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static PublishState[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(PublishState[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()